Module java.base
Package javax.crypto.interfaces

# Interface DHPrivateKey

All Superinterfaces:
  `Destroyable`, `DHKey`, `Key`, `PrivateKey`, `Serializable`

public interface DHPrivateKey extends DHKey, PrivateKey
The interface to a Diffie-Hellman private key.

Since:
  1.4
See Also:
  - `DHKey`
  - `DHPublicKey`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getX()`
Returns the private value, `x`.

### Methods declared in interface javax.security.auth.Destroyable

`destroy, isDestroyed`

### Methods declared in interface javax.crypto.interfaces.DHKey

`getParams`

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

See Also:
  - Constant Field Values

## Method Details

### getX

BigInteger getX()
Returns the private value, `x`.

Returns:
  the private value, `x`